Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.TableActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TableActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.TableActions extends Object
From BasicTableUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_TO_SELECTION`
`static final String`
`CANCEL_EDITING`
`static final String`
`CLEAR_SELECTION`
`static final String`
`EXTEND_TO`
`static final String`
`FIRST_COLUMN`
`static final String`
`FIRST_COLUMN_EXTEND_SELECTION`
`static final String`
`FIRST_ROW`
`static final String`
`FIRST_ROW_EXTEND_SELECTION`
`static final String`
`FOCUS_HEADER`
`static final String`
`LAST_COLUMN`
`static final String`
`LAST_COLUMN_EXTEND_SELECTION`
`static final String`
`LAST_ROW`
`static final String`
`LAST_ROW_EXTEND_SELECTION`
`static final String`
`MOVE_SELECTION_TO`
`static final String`
`NEXT_COLUMN`
`static final String`
`NEXT_COLUMN_CELL`
`static final String`
`NEXT_COLUMN_CHANGE_LEAD`
`static final String`
`NEXT_COLUMN_EXTEND_SELECTION`
`static final String`
`NEXT_ROW`
`static final String`
`NEXT_ROW_CELL`
`static final String`
`NEXT_ROW_CHANGE_LEAD`
`static final String`
`NEXT_ROW_EXTEND_SELECTION`
`static final String`
`PREVIOUS_COLUMN`
`static final String`
`PREVIOUS_COLUMN_CELL`
`static final String`
`PREVIOUS_COLUMN_CHANGE_LEAD`
`static final String`
`PREVIOUS_COLUMN_EXTEND_SELECTION`
`static final String`
`PREVIOUS_ROW`
`static final String`
`PREVIOUS_ROW_CELL`
`static final String`
`PREVIOUS_ROW_CHANGE_LEAD`
`static final String`
`PREVIOUS_ROW_EXTEND_SELECTION`
`static final String`
`SCROLL_DOWN_CHANGE_SELECTION`
`static final String`
`SCROLL_DOWN_EXTEND_SELECTION`
`static final String`
`SCROLL_LEFT_CHANGE_SELECTION`
`static final String`
`SCROLL_LEFT_EXTEND_SELECTION`
`static final String`
`SCROLL_RIGHT_CHANGE_SELECTION`
`static final String`
`SCROLL_RIGHT_EXTEND_SELECTION`
`static final String`
`SCROLL_UP_CHANGE_SELECTION`
`static final String`
`SCROLL_UP_EXTEND_SELECTION`
`static final String`
`SELECT_ALL`
`static final String`
`START_EDITING`
`static final String`
`TOGGLE_AND_ANCHOR`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TableActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CANCEL_EDITING

public static final String CANCEL_EDITING

See Also:
  - Constant Field Values

### SELECT_ALL

public static final String SELECT_ALL

See Also:
  - Constant Field Values

### CLEAR_SELECTION

public static final String CLEAR_SELECTION

See Also:
  - Constant Field Values

### START_EDITING

public static final String START_EDITING

See Also:
  - Constant Field Values

### NEXT_ROW

public static final String NEXT_ROW

See Also:
  - Constant Field Values

### NEXT_ROW_CELL

public static final String NEXT_ROW_CELL

See Also:
  - Constant Field Values

### NEXT_ROW_EXTEND_SELECTION

public static final String NEXT_ROW_EXTEND_SELECTION

See Also:
  - Constant Field Values

### NEXT_ROW_CHANGE_LEAD

public static final String NEXT_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### PREVIOUS_ROW

public static final String PREVIOUS_ROW

See Also:
  - Constant Field Values

### PREVIOUS_ROW_CELL

public static final String PREVIOUS_ROW_CELL

See Also:
  - Constant Field Values

### PREVIOUS_ROW_EXTEND_SELECTION

public static final String PREVIOUS_ROW_EXTEND_SELECTION

See Also:
  - Constant Field Values

### PREVIOUS_ROW_CHANGE_LEAD

public static final String PREVIOUS_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### NEXT_COLUMN

public static final String NEXT_COLUMN

See Also:
  - Constant Field Values

### NEXT_COLUMN_CELL

public static final String NEXT_COLUMN_CELL

See Also:
  - Constant Field Values

### NEXT_COLUMN_EXTEND_SELECTION

public static final String NEXT_COLUMN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### NEXT_COLUMN_CHANGE_LEAD

public static final String NEXT_COLUMN_CHANGE_LEAD

See Also:
  - Constant Field Values

### PREVIOUS_COLUMN

public static final String PREVIOUS_COLUMN

See Also:
  - Constant Field Values

### PREVIOUS_COLUMN_CELL

public static final String PREVIOUS_COLUMN_CELL

See Also:
  - Constant Field Values

### PREVIOUS_COLUMN_EXTEND_SELECTION

public static final String PREVIOUS_COLUMN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### PREVIOUS_COLUMN_CHANGE_LEAD

public static final String PREVIOUS_COLUMN_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_LEFT_CHANGE_SELECTION

public static final String SCROLL_LEFT_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_LEFT_EXTEND_SELECTION

public static final String SCROLL_LEFT_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_RIGHT_CHANGE_SELECTION

public static final String SCROLL_RIGHT_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_RIGHT_EXTEND_SELECTION

public static final String SCROLL_RIGHT_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_UP_CHANGE_SELECTION

public static final String SCROLL_UP_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_UP_EXTEND_SELECTION

public static final String SCROLL_UP_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_DOWN_CHANGE_SELECTION

public static final String SCROLL_DOWN_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_DOWN_EXTEND_SELECTION

public static final String SCROLL_DOWN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### FIRST_COLUMN

public static final String FIRST_COLUMN

See Also:
  - Constant Field Values

### FIRST_COLUMN_EXTEND_SELECTION

public static final String FIRST_COLUMN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### LAST_COLUMN

public static final String LAST_COLUMN

See Also:
  - Constant Field Values

### LAST_COLUMN_EXTEND_SELECTION

public static final String LAST_COLUMN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### FIRST_ROW

public static final String FIRST_ROW

See Also:
  - Constant Field Values

### FIRST_ROW_EXTEND_SELECTION

public static final String FIRST_ROW_EXTEND_SELECTION

See Also:
  - Constant Field Values

### LAST_ROW

public static final String LAST_ROW

See Also:
  - Constant Field Values

### LAST_ROW_EXTEND_SELECTION

public static final String LAST_ROW_EXTEND_SELECTION

See Also:
  - Constant Field Values

### ADD_TO_SELECTION

public static final String ADD_TO_SELECTION

See Also:
  - Constant Field Values

### TOGGLE_AND_ANCHOR

public static final String TOGGLE_AND_ANCHOR

See Also:
  - Constant Field Values

### EXTEND_TO

public static final String EXTEND_TO

See Also:
  - Constant Field Values

### MOVE_SELECTION_TO

public static final String MOVE_SELECTION_TO

See Also:
  - Constant Field Values

### FOCUS_HEADER

public static final String FOCUS_HEADER

See Also:
  - Constant Field Values

## Constructor Details

### TableActions

protected TableActions()